=====
About
=====

A modern responsive theme for python's `Sphinx <http://www.sphinx-doc.org>`_ documentation generator based on
sphinx_press_theme and ablog.


This theme is based on `VuePress <https://vuepress.vuejs.org/>`_.
It uses `Vue.js <https://vuejs.org/>`_ and LessCSS managed by
`webpack <https://webpack.js.org>`_ through `vue-cli <https://cli.vuejs.org/>`_.

Usage
=====


First install the theme:

.. code-block:: console

   $ pip install sphinx_nervproject_theme


On Sphinx project's ``conf.py``: set the theme name to ``nervproject``.

.. code-block:: python

   html_theme = "nervproject"


See details on `Sphinx theming docs <http://www.sphinx-doc.org/en/master/theming.html#using-a-theme>`_.
